Skip to content

Get card transaction

Request

Retrieve a card transaction by its ID.

Use in conjunction with the card transaction state change webhook for versions V2.1.0 and later.

Only transactions created in the past 90 days can be accessed. A 422 error code will be returned otherwise.

When a refund happens, a separate transaction will be added with a REFUND transaction type.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile that owns the card.

Example:123456
transactionIdinteger, (int64)required

The ID of the transaction.

Example:342671
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v4/spend/profiles/123456/cards/transactions/342671 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Card transaction retrieved successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

ID of the transaction

Example:342671
cardTokenstring

Unique identifier of the card

Example:"59123122-223d-45f9-b840-0ad4a4f80937"
typestring

Type of the transaction. One of:

  • ACCOUNT_CREDIT
  • ACCOUNT_FUNDING
  • CASH_ADVANCE
  • CASH_WITHDRAWAL
  • CHARGEBACK
  • CREDIT_TRANSACTION
  • ECOM_PURCHASE
  • POS_PURCHASE
  • REFUND
Enum:"ACCOUNT_CREDIT""ACCOUNT_FUNDING""CASH_ADVANCE""CASH_WITHDRAWAL""CHARGEBACK""CREDIT_TRANSACTION""ECOM_PURCHASE""POS_PURCHASE""REFUND"
Example:"ECOM_PURCHASE"
statestring

The current state of the transaction. One of:

  • IN_PROGRESS
  • COMPLETED
  • DECLINED
  • CANCELLED
  • UNKNOWN
Enum:"IN_PROGRESS""COMPLETED""DECLINED""CANCELLED""UNKNOWN"
Example:"IN_PROGRESS"
declineReasonstring or null

Code of the decline reason if applicable

Example:null
detailedDeclineReasonstring or null

Code of the detailed decline reason if applicable

Example:null
creationTimestring, (date-time)

When the transaction was created

Example:"2022-11-28T08:17:54.241Z"
modificationTimestring, (date-time)

When the transaction was last updated

Example:"2022-11-28T08:17:54.241Z"
purgeTimestring or null, (date-time)

Time at which reserved funds will be released after the authorisation hold expires

Example:"2022-11-28T08:17:54.241Z"
transactionAmountobject

Transaction amount, including any embedded fees such as ATM fees that are not applied by Wise

feesArray of objects

Array of fees

transactionAmountWithFeesobject

Transaction amount including all fees

merchantobject

Merchant information

authorisationMethodstring

Authorisation method

Example:"MANUAL_ENTRY"
approvalCodestring or null

Also called authorization code. This can be used to prove ownership of a customer's card/account to a merchant

Example:"913647"
billingAmountobject

Billing amount

arnstring or null

Acquirer reference number

Example:"04300014127798385983852"
pinValidationResultstring or null

PIN validation result. One of:

  • ONLINE_PIN_VALIDATED
  • ONLINE_PIN_INVALID
  • OFFLINE_PIN_VALIDATED
  • OFFLINE_PIN_INVALID
  • NOT_RECEIVED
Enum:"ONLINE_PIN_VALIDATED""ONLINE_PIN_INVALID""OFFLINE_PIN_VALIDATED""OFFLINE_PIN_INVALID""NOT_RECEIVED"
Example:"ONLINE_PIN_VALIDATED"
balanceChannelReferenceIdstring or null

Balance channel reference ID associated with the card transaction

Example:"6e71018d-2f4d-4fc3-6711-f517f4664712"
debitsArray of objects

Array of debits. Only present when retrieving a single transaction by ID.

The debits list is a non-aggregated list of debit movements, meaning that the balanceId is not unique in the list. For example, a cancelled transaction may have a list of 2 debits where the absolute values of debitedAmount.amount, forAmount.amount and fee.amount are the same, but one is the negation of the other due to a reservation (first debit) which was then released (second debit with negated amounts). You can choose to perform the aggregation in your system or display the full list of debits to the end customer.

creditsArray of objects

Array of credits. Only present when retrieving a single transaction by ID

relayAuthorisationDataobject or null

Relayed authorisation response data, only available if the partner has opted in for relayed authorisation

property name*anyadditional property
Response
{ "id": 342671, "cardToken": "59123122-223d-45f9-b840-0ad4a4f80937", "type": "ECOM_PURCHASE", "state": "IN_PROGRESS", "declineReason": null, "detailedDeclineReason": null, "creationTime": "2022-11-28T08:17:54.241Z", "modificationTime": "2022-11-28T08:17:54.241Z", "purgeTime": "2022-11-28T08:17:54.241Z", "transactionAmount": { "amount": 1.4, "currency": "SGD" }, "fees": [ { "amount": 0.1, "currency": "SGD", "fee_type": "ATM_ACQUIRER" } ], "transactionAmountWithFees": { "amount": 1.5, "currency": "SGD" }, "merchant": { "name": "Test Payment", "location": { "country": "France", "city": "Rouen", "zipCode": "00000", "region": null, "state": null }, "category": { "name": "MISCELLANEOUS_FOOD_STORES_CONVEN", "code": "5999", "description": "5999 R Miscellaneous and Special" } }, "authorisationMethod": "MANUAL_ENTRY", "approvalCode": "913647", "billingAmount": { "amount": 1.1, "currency": "EUR" }, "arn": "04300014127798385983852", "pinValidationResult": "ONLINE_PIN_VALIDATED", "balanceChannelReferenceId": "6e71018d-2f4d-4fc3-6711-f517f4664712", "debits": [ { "balanceId": 52832, "debitedAmount": { … }, "forAmount": { … }, "rate": 1.36363636364, "fee": { … }, "creationTime": "2022-11-28T08:17:54.241Z" } ], "credits": [ { "balanceId": 52832, "creditedAmount": { … }, "creationTime": "2022-11-28T08:17:54.241Z" } ], "relayAuthorisationData": { "responseCode": "APPROVED", "fallback": true } }